API 参考

Notifications

2 个接口 · 概览

GET/v1/notifications

Bearer 令牌

参数 · 查询

  • unreadboolean
  • cursorstring
  • limitinteger
    default 500 · ≥ 1 · ≤ 1000

响应

请求示例
curl "https://side.example.com/v1/notifications" \
  -H "Authorization: Bearer $SIDESPACE_TOKEN"
响应示例 · 200
{
  "items": [
    {}
  ],
  "next_cursor": "next_cursor"
}

POST/v1/notifications/{id}/read

Bearer 令牌

参数 · 路径

  • idstring必填

响应

  • 204
    Marked read
请求示例
curl -X POST "https://side.example.com/v1/notifications/id/read" \
  -H "Authorization: Bearer $SIDESPACE_TOKEN"